#include "MParContainer.h"

#include <iostream.h>

#include "MTime.h"

ClassImp(MParContainer)

MParContainer::MParContainer(const char *name, const char *title)
{
    fName = name ? name : ClassName();
    fTitle = title;
}

MParContainer::~MParContainer()
{
}

MParContainer *MParContainer::New()
{
    cout << "Error: No New()-function." << endl;
    return NULL;
}

void MParContainer::GetEventFromMagicFile(fstream &fin)
{
    cout << "Warning: Reading from Magic file format not defined for " << ClassName() << endl;
}

void MParContainer::PutEventToMagicFile(fstream &fout)
{
    cout << "Warning: Writing to Magic file format not defined for " << ClassName() << endl;
}

void MParContainer::GetEventFromAsciiFile(fstream &fin)
{
    cout << "Warning: Reading from Ascii file format not defined for " << ClassName() << endl;
}

void MParContainer::PutEventToAsciiFile(fstream &fout)
{
    cout << "Warning: Writing to Ascii file format not defined for " << ClassName() << endl;
}
